
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "Util.h"
#include "ShiftAnd.h"
#include "ShiftOr.h"

int main()
{
    int selectedAlgorithm;
    char text[TEXT_SIZE];
    char pattern[WORD_SIZE];

    printf("What is the text?\n");
    scanf("%s", text);

    printf("What pattern to search for?\n");
    scanf("%s", pattern);

    printf("Which algorithm to use?\n1 - Shift OR\n2 - Shift AND\n\n");
    scanf("%d", &selectedAlgorithm);
    switch (selectedAlgorithm) {
        case SHIFT_OR:
            searchWithShiftOr(pattern, strlen(pattern), text, strlen(text));
            break;
        case SHIFT_AND:
            searchWithShiftAnd(pattern, strlen(pattern), text, strlen(text));
            break;
        default:
            fprintf(stderr, "Sorry, we don't have that operation here\n");
            break;
    }
    return 0;
}
